groups resource endpoint
URL: /applications/<id>/groups.<format>
Supported Methods
| GET | Get a list of groups in which a client using a app_full access auth token from this application can act. |
Query String Arguments
- start-index
- Index of the first item to return. The first item in the list has index 1.
- max-results
- Maximum number of items to return in the list response.
Resource Type
This endpoint returns an object of type List<Group>.
- entries (array<Group>)
- The items within the selected range.
- totalResults (integer)
- The total number of items in the whole list of which this object is a chunk.
Client Library Methods for PHP
- Get a list of groups in which a client using a app_full access auth token from this application can act.
$tp->applications->getGroups(array( # Required Parameters "id" => $id, # Optional Parameters "limit" => $limit, "offset" => $offset, ))
Example Request
GET /applications/6p012877b14c76970c/groups.json?max-results=4 HTTP/1.1
Host: api.typepad.com
HTTP/1.0 200 OK
Content-type: application/json
Content-length: 384
{
"entries": [
{
"urlId": "6p012877b14c77970c",
"objectType": "Group",
"objectTypes": [
"tag:api.typepad.com,2009:Group"
],
"id": "tag:api.typepad.com,2009:6p012877b14c77970c",
"siteUrl": "http://devin.example.com/",
"displayName": "Devin's Awesome Site"
}
],
"totalResults": 1
}